Subject: 28.0.50; RTL problem

From: Pip Cet <[email-masked]>
Date: Sun, 24 May 2020 13:05:17 +0000

Hi,
I'm surprised by the way vanilla Emacs behaves when given RTL input:

Recipe:
emacs -Q hebrew.txt

hebrew.txt contains (or should contain!) two newlines followed by the
Hebrew word Ivri, punctuated, followed by another single newline.

Expected result:
right-aligned text

Actual result:
left-aligned text

Is that a bug, or is there something I don't understand? It only
appears to be left-aligned when there are precisely two newlines at
the beginning of the file.

I'm attaching a screenshot since I don't know whether it's a
font-specific issue.

Thanks!